Google Web Toolkit (Beta)
Search this site:

# Interface SuggestOracle.Callback

public static interface SuggestOracle.Callback
Callback for SuggestOracle. Every Request should be associated with a callback that should be called after a Response is generated.

## Methods

onSuggestionsReady(SuggestOracle.Request, SuggestOracle.Response) | Consume the suggestions created by a SuggestOracle in response to a Request.

## Method Detail

### onSuggestionsReady

public void onSuggestionsReady(SuggestOracle.Request request, SuggestOracle.Response response)
Consume the suggestions created by a SuggestOracle in response to a Request.

#### Parameters

request
  the request
response
  the response